Subject: Re: [bug#53019] [PATCH 1/3] gnu: Add python-codeclimate-test-reporter.

From: Maxime Devos <[email-masked]>
Date: Sun, 06 Mar 2022 11:28:48 +0100

Giacomo Leidi via Guix-patches via schreef op zo 06-03-2022 om 00:14
[+0100]:
> +  #:use-module (gnu packages version-control)

This creates a cycle between (gnu packages version-control) and
(gnu packages python-check).  To avoid cycles, could

  (a) python-codeclimate-test-reported be moved into a new module

or

  (b) the importing be delayed with (module-ref ...), like in
      (guix build-system gnu)?

By reducing cycles, "guix COMMAND some-package" needs to load less
modules and hence less memory.  There are also some other potential
benefits, e.g. see ‘Faster "guix pull" by incremental compilation and
non-circular modules?’ on guix-devel.

Greetings,
Maxime.